#include "xgfxlightimage.h"

XGfxLightImage::XGfxLightImage()
    : XAsset()
    , mImage()
    , mSamplerState(0)
{
    SetName("GFX Light Image");
}

XGfxLightImage::~XGfxLightImage()
{

}

void XGfxLightImage::ParseData(XDataStream *aStream)
{
    mImage.ParsePtr(aStream, false);

    *aStream >> mSamplerState;

    aStream->skipRawData(3);

    mImage.ParseData(aStream);
}

void XGfxLightImage::Clear()
{
    mImage.Clear();
    mSamplerState = 0;
}
